Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1282200

Summary: greylistd specfile bug: source code is not available
Product: [Fedora] Fedora Reporter: Francesco Frassinelli (frafra) <fraph24>
Component: greylistdAssignee: Mosaab Alzoubi <moceap>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: axel.thimm, moceap, pviktori
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-08-08 12:24:39 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1282146, 1322027    

Description Francesco Frassinelli (frafra) 2015-11-15 12:47:17 UTC
Description of problem:

Source0: ftp://ftp.debian.org/debian/pool/main/g/greylistd/%{name}_%{version}.tar.gz is invalid

$ spectool -g greylistd.spec 
Getting ftp://ftp.debian.org/debian/pool/main/g/greylistd/greylistd_0.8.7.tar.gz to ./greylistd_0.8.7.tar.gz
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
curl: (19) Given file does not exist

Is it hosted on sourceforge? There's no URL field.
http://greylistd.sourceforge.net/

I was looking at greylistd because it depends on /usr/bin/python (even if it looks like a perl program) and we are porting stuff to Python 3.

Comment 1 Jan Kurik 2016-02-24 13:58:27 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 2 Lumír Balhar 2016-06-30 09:37:12 UTC
Hello.

I've found that there is new upstream version in Debian [0] but still without Python3 support.

[0] http://ftp.debian.org/debian/pool/main/g/greylistd/greylistd_0.8.8.6_all.deb

Have a nice day.
Lumir

Comment 3 Lumír Balhar 2016-08-05 12:37:03 UTC
This package is marked as orphaned so IMHO I can close this ticket.

Comment 4 Petr Viktorin 2016-08-06 12:57:25 UTC
Orphaned means that there's currently no maintainer. If a new maintainer is found, the bug should be fixed. So, I don't think you should close this.

Comment 5 Fedora End Of Life 2017-07-25 19:30:08 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2017-08-08 12:24:39 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Mosaab Alzoubi 2020-02-01 12:08:24 UTC
This package retired because it's without systemd support, See FESCo ticket 1605